Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryMinMaxLength

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryMinMaxLength

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  EPPRegistryContactCity, EPPRegistryContactName, EPPRegistryContactOrg, EPPRegistryContactPostalCode, EPPRegistryContactStateProvince, EPPRegistryContactStreet, EPPRegistryExternalHost, EPPRegistryInternalHost

    public class EPPRegistryMinMaxLength

extends java.lang.Object
implements EPPCodecComponent

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_MAX`
`static java.lang.String` | `ELM_MAX_LENGTH`
`static java.lang.String` | `ELM_MIN`
`static java.lang.String` | `ELM_MIN_LENGTH`
`protected java.lang.String` | `elmMax`
`protected java.lang.String` | `elmMin`
`protected java.lang.Integer` | `max`
`protected java.lang.Integer` | `min`
`protected java.lang.String` | `rootName`

Constructor Summary
`EPPRegistryMinMaxLength()`
`EPPRegistryMinMaxLength(java.lang.Integer min, java.lang.Integer max)`
`EPPRegistryMinMaxLength(int min, int max)`
`EPPRegistryMinMaxLength(java.lang.String rootName, java.lang.Integer min, java.lang.Integer max)`
`EPPRegistryMinMaxLength(java.lang.String rootName, int min, int max)`

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)`
`java.lang.String` | `getElmMax()`
`java.lang.String` | `getElmMin()`
`java.lang.Integer` | `getMax()`
`java.lang.Integer` | `getMin()`
`java.lang.String` | `getRootName()`
`void` | `setElmMax(java.lang.String elmMax)`
`void` | `setElmMin(java.lang.String elmMin)`
`void` | `setMax(java.lang.Integer max)`
`void` | `setMin(java.lang.Integer min)`
`void` | `setRootName(java.lang.String aRootName)`
`java.lang.String` | `toString()`
`protected void` | `validateState()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_MIN

    public static final java.lang.String ELM_MIN

See Also:
  Constant Field Values

### ELM_MAX

    public static final java.lang.String ELM_MAX

See Also:
  Constant Field Values

### ELM_MIN_LENGTH

    public static final java.lang.String ELM_MIN_LENGTH

See Also:
  Constant Field Values

### ELM_MAX_LENGTH

    public static final java.lang.String ELM_MAX_LENGTH

See Also:
  Constant Field Values

### elmMin

    protected java.lang.String elmMin

### elmMax

    protected java.lang.String elmMax

### min

    protected java.lang.Integer min

### max

    protected java.lang.Integer max

### rootName

    protected java.lang.String rootName

Constructor Detail

### EPPRegistryMinMaxLength

    public EPPRegistryMinMaxLength()

### EPPRegistryMinMaxLength

    public EPPRegistryMinMaxLength(java.lang.Integer min,
                                   java.lang.Integer max)

### EPPRegistryMinMaxLength

    public EPPRegistryMinMaxLength(int min,
                                   int max)

### EPPRegistryMinMaxLength

    public EPPRegistryMinMaxLength(java.lang.String rootName,
                                   java.lang.Integer min,
                                   java.lang.Integer max)

### EPPRegistryMinMaxLength

    public EPPRegistryMinMaxLength(java.lang.String rootName,
                                   int min,
                                   int max)

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Description copied from interface: `EPPCodecComponent`
  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### validateState

    protected void validateState()
                          throws EPPEncodeException

  Throws:
    `EPPEncodeException`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Description copied from interface: `EPPCodecComponent`
  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `EPPCodecComponent`
  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMin

    public java.lang.Integer getMin()

### setMin

    public void setMin(java.lang.Integer min)

### getMax

    public java.lang.Integer getMax()

### setMax

    public void setMax(java.lang.Integer max)

### getRootName

    public java.lang.String getRootName()

### setRootName

    public void setRootName(java.lang.String aRootName)

### getElmMin

    public java.lang.String getElmMin()

### setElmMin

    public void setElmMin(java.lang.String elmMin)

### getElmMax

    public java.lang.String getElmMax()

### setElmMax

    public void setElmMax(java.lang.String elmMax)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.